<?php

/*
=====================================================================

  프로젝트 이름 : 피리 웹프로그램

  만든사람 : 피리 PIREE ( piree1977@gmail.com )

  홈페이지 : www.piree.kr

  작성날짜 : 2020년 09월 01일 화요일 오후 16시 51분 - 날씨 흐림, 29, 29, 30, 21 / 최고 좋음, 9, 2

  저 작 권 : Copyright ⓒ 2014-2023 피리 piree.kr All right reserved
            그누보드 외에 추가된 소스는~
            만든사람의 허락없이 무단으로 사용할수 없습니다.
            사용하고자 할 경우 만든사람의 허락을 받아야 합니다.
            http://.piree.kr 에 문의해 주세요.

=====================================================================
 피리 > 피리 기본 관리 > 라이브러리 > FILE
=====================================================================

//*****************************************************************
//** SAM_SOSS
//*****************************************************************

delete__thumbnail(
thumbnail_delete(

*/

/*
  ▣ 작업자 : 피리 PIREE ( piree1977@gmail.com )
  ▣ 작업일시 : 2020년 07월 24일 금요일 오전 05시 23분 - 날씨 
  ▣ 작업내용 : 
*/

  IF ( !defined('_GNUBOARD_') )                  EXIT;

  function dir_file_list_get($func_dir)
  {

      $save_dir_file_a = array();

      IF ( $dirHandle = opendir($func_dir) )
      {

          WHILE( $file = readdir($dirHandle) )
          {

              IF ( $file == '.' || $file == '..' )        CONTINUE;

              IF ( file_exists($func_dir ."/". $file) )
              {
                  $save_dir_file_a[] = $file;
              }

          }

          closedir($dirHandle);

      }

      return $save_dir_file_a;

  }

  function mkdir_chmod($dir_s)
  {

      IF ( $dir_s )
      {

          IF ( !is_dir($dir_s) )
          {

              mkdir($dir_s, G5_DIR_PERMISSION);
              chmod($dir_s, G5_DIR_PERMISSION);

          }

      }

  }

  function piree_file_save($fnc_file_path, $file_open_mode = 'w', $fnc_file_cont)
  {

      IF ( $fnc_file_path && $fnc_file_cont )
      {

          IF ( $file_open_mode != 'a' )
          {

              $file_open_mode = 'w';
          }

          $handle = fopen($fnc_file_path, $file_open_mode);

          fwrite($handle, $fnc_file_cont);

          fclose($handle);

      }

  }

  function dir_file_delete($dir)
  {

      IF ( $dirHandle = opendir($dir) )
      {

          chdir($dir);

          WHILE( $file = readdir($dirHandle) )
          {

              IF ( $file == '.' || $file == '..' )        CONTINUE;

              IF ( is_dir($file) )                        dir_file_delete($file);
              ELSE                                        unlink($file);

          }

          chdir('..');

          rmdir($dir);

          closedir($dirHandle);

      }

  }

  function thumbnail_delete($dir, $file)
  {

    if(!$dir || !$file)
        return;

    $filename = preg_replace("/\.[^\.]+$/i", "", $file); //

    $files = glob($dir .'/thumb-'. $filename.'*');

    if ( is_array($files) )
    {
        foreach ( $files as $thumb_file )
        {
            @unlink($thumb_file);
        }
    }

  }

?>